Bug 8653 - (int-155204) Media Player crashed when viewing UPNP contents.
(int-155204)
: Media Player crashed when viewing UPNP contents.
Status: RESOLVED FIXED
Product: Media player
General
: 5.0/(3.2010.02-8)
: N900 Maemo
: Unspecified major (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: media-player-bugs
:
: crash
:
:
  Show dependency tree
 
Reported: 2010-01-29 16:14 UTC by Harish Koka
Modified: 2010-03-15 20:55 UTC (History)
1 user (show)

See Also:


Attachments
Attaching the core-dump (1.49 MB, application/octet-stream)
2010-01-29 16:16 UTC, Harish Koka
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Harish Koka (reporter) 2010-01-29 16:14:29 UTC
SOFTWARE VERSION:
2.2009.51-1

Device connected internet via WLAN with UPNP configured.
I was using On2Share UPNP with some audio clips shared.

EXACT STEPS LEADING TO PROBLEM: 
1. Launch Media Player.
2. Browse UPNP server contents Shared Folders.

EXPECTED OUTCOME:
The contents should be listed. Media Player should not crash

ACTUAL OUTCOME:
Media Player crashed. Core-dump collected attached to this bug.

REPRODUCIBILITY:
1/10 times.

EXTRA SOFTWARE INSTALLED:
No

OTHER COMMENTS:
Only 10 audio clips were shared in UPNP. 

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.17)
Gecko/2009122116 Firefox/3.0.17 (.NET CLR 3.5.30729)
Comment 1 Harish Koka (reporter) 2010-01-29 16:16:41 UTC
Created an attachment (id=2163) [details]
Attaching the core-dump
Comment 2 Andre Klapper maemo.org 2010-02-01 18:55:59 UTC
Thanks!
Comment 3 Andre Klapper maemo.org 2010-03-02 18:18:50 UTC
This cannot be reproduced in 10.2010.07-7 and some later internal versions
(tried several times), hence this is very likely fixed in the next public
release.
Comment 4 Andre Klapper maemo.org 2010-03-15 20:55:07 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).